<?
  session_start();
  require('../valtiempoinact.php');
  require('../conectar.php');
  $usuario_nivel=$_SESSION['usuario_nivel'];
  $usuario_login=$_SESSION['usuario_login'];
  $usuario_email=$_SESSION['usuario_email'];
  $usuario_email2=$_SESSION['usuario_email2'];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title></title>
<script language="javascript" src="js/jquery-1.2.6.min.js"></script>
<link rel="stylesheet" type="text/css" href="notification_menu/css/style_light.css">
<style type="text/css">
body {
background-color:#E6E6E6;
font-family:Verdana, Arial, Helvetica, sans-serif;
font-size:10px;
}

.titulos{
background-color:#f1f1f1;
color:#555;
width:500px;
font-size:14px;
font-weight:bold;
text-align:center;
margin:5px;
padding-top:5px;
padding-bottom:5px;
}

a:link{
text-decoration:none;
}

a:visited{
text-decoration:none;
}

.submenu{position:absolute;background:#FFFFFF;margin-top:40px;width:160px;}
.submenu .ul{list-style:none;padding:0;text-align:center;}
.submenu .ul .li{padding-left:10px;padding-right:10px;text-align:center;}
.submenu .ul .li:hover{background:#81BEF7}
.cont{position:relative;margin-left:auto; margin-right: auto; margin-top:-60px;}

</style>
<script>
function cargacont(ver)
{
if(ver==2)
{
 $.post("autdesc.php?hoy=1", { variable:"1" }, function(data){
	 $(".cont").html(data);
	 });
}	 
if(ver==1)
{
 $.post("pendiente_buscar.php", { variable:"1" }, function(data){
	 $(".cont").html(data);
	 });
}	
if(ver==3)
{
 $.post("clientesnoatB.php", { }, function(data){
	 $(".cont").html(data);
	 });
}
if(ver==4)
{
 $.post("pagosnoval.php?hoy=1", { }, function(data){
	 $(".cont").html(data);
	 });
}
if(ver==5)
{
 $.post("documentosnoval.php?hoy=1", { }, function(data){
	 $(".cont").html(data);
	 });
}
if(ver==6)
{
 //pagosnoval_.php;
 $.post("depositos_reemb.php?hoy=1", { }, function(data){
	 $(".cont").html(data);
	 });
}
if(ver==7)
{
 $.post("requisiciones/solicitudrequisicion.php?liga=requisiciones&hoy=1", { }, function(data){
	 $(".cont").html(data);
	 });
}
if(ver==8)
{
 $.post("requisiciones/solicitudrequisicion.php?liga=requisiciones&aprobado=si&hoy=1", { }, function(data){
	 $(".cont").html(data);
	 });
}
if(ver==9)
{
 $.post("depositosenefectivoSel.php?liga=requisiciones&aprobado=si&hoy=1", { }, function(data){
	 $(".cont").html(data);
	 });
}	
if(ver==10)
{
 $.post("garantiasenefectivoSel.php?liga=requisiciones&aprobado=si&hoy=1", { }, function(data){
	 $(".cont").html(data);
	 });
}	 
}

function citas(r){
$.post("calendario.php"+r, { }, function(data){
	 $(".cont").html(data);
	 });
}

function llamadas(r){
$.post("calendariol.php"+r, { }, function(data){
	 $(".cont").html(data);
	 });
}


     function despliega(scp){
	     var p1=$(".tr"+scp+"1");
	     var p2=$(".tr"+scp+"2");
		 for(i=0;i<p1.length;i++){
		     var o=p1[i];
			 st=o.style.display;
			 if(st=="none"){
			     o.style.display="table-row";
			 }else{ o.style.display="none";}
		 }
		  for(i=0;i<p2.length;i++){
		     var o=p2[i];
			 st=o.style.display;
			 if(st=="none"){
			     o.style.display="table-row";
			 }else{ o.style.display="none";}
		 }
	 }
</script>
</head>
<body>
<?php
			// CONSULTA PARA EXTRAER LOS VALORES DEL USUARIO ACTUAL
			 $empleado=mysql_query("select * from empleados where id_empleado='$_SESSION[usuario_id]'",$db_conexion);
			 if($re=mysql_fetch_array($empleado))
			 {
			  $id_empleado=$re['id_empleado'];	
			  $usuario=$re['usuario'];								 
			 }
			 // CONSULTA PARA EXTRAER LOS VALORES DEL USUARIO ACTUAL
			 //entrada
			$busqueda=mysql_query("select count(*) as total from pendientes where destino='$id_empleado' AND id_subpendiente=0 and id_destino<>'$id_empleado' AND eliminado!='SI'",$db_conexion);
			$r=mysql_fetch_array($busqueda);

			 //pendientes eliminados
			 $busquedaeli=mysql_query("select count(*) as total from pendientes where (destino='$id_empleado' or remitente='$id_empleado') and eliminado='SI'",$db_conexion);
			 $reli=mysql_fetch_array($busquedaeli);
			 
			 //PETICIONES DE DESCUENTO
			 $descuento=mysql_query("select count(c.id_concepto) as totdesc From conceptos as c 
	INNER JOIN departamentos as d ON c.id_departamento=d.id_departamento
	INNER JOIN clientes as cl ON cl.id_cliente=c.id_cliente
	INNER JOIN empleados as e ON cl.id_emp=e.id_empleado
	where c.descsol<>'0' and  c.autorizadesc='0'",$db_conexion);
			 $numdescdir=mysql_fetch_object($descuento);
			 
			 //requisisciones
			 $sqlreq="select count(idsolmat) as req from solicitudmaterial where valdireccion<>'s' and valcontabilidad=''";
			 $ejereq=mysql_query($sqlreq);
			 $req=mysql_fetch_object($ejereq);
			 //requisiciones aprobadas
			 $sqlreqA="select count(idsolmat) as reqA from solicitudmaterial where valdireccion='s' and valcontabilidad<>'s' and statusreq<>'1'";
			 $ejereqA=mysql_query($sqlreqA);
			 $reqA=mysql_fetch_object($ejereqA);
			 
			 //PETICIONES AUTORIZADAS 
			 $usu=mysql_query("select id_empleado,usuario from empleados where usuario='$usuario_login'",$db_conexion);
			 $idusu=mysql_fetch_object($usu);
			 
			 //PAGOS SIN VALIDAR
			 $PSV=mysql_query("SELECT COUNT(p.id_renta) AS totpsv FROM pagos as p  INNER JOIN complejo as cm ON p.propiedad=cm.id_complejo INNER JOIN complejo as c ON p.propiedad=c.id_complejo INNER JOIN  departamentos as d ON p.clave=d.id_departamento INNER JOIN empleados as e ON p.id_emp=e.id_empleado WHERE valadmon!='s' AND p.concepto IN ('RENTA','SEGUIMIENTO','DEPOSITO','IMPUESTOS','EXTRAS') ",$db_conexion);
			 $psv=mysql_fetch_object($PSV);
			 $totpsv=$psv->totpsv;
			 //DOCUMENTOS DEL CLIENTE SIN VALIDAR
			 $DSV=mysql_query("SELECT COUNT(exp.idcliente) AS docsin FROM expedienteCliente as exp 
 			                    INNER JOIN clientes as c ON exp.idcliente=c.id_cliente 
			                    WHERE exp.validacion<>'111'",$db_conexion);
			 $dsv=mysql_fetch_object($DSV);
			 $docsin=$dsv->docsin;
			 
			 //DEPOSITOS POR REEMBOLSAR
			 $PSV=mysql_query("SELECT COUNT(p.id_renta) AS deppv FROM pagos as p  INNER JOIN complejo as cm ON p.propiedad=cm.id_complejo INNER JOIN complejo as c ON p.propiedad=c.id_complejo INNER JOIN  departamentos as d ON p.clave=d.id_departamento INNER JOIN empleados as e ON p.id_emp=e.id_empleado WHERE p.concepto = 'DEPOSITO' AND p.statusgar IN('SOLICITADO','AUTORIZADO') and p.formapago NOT IN('EP','ED')",$db_conexion);
			 $psv=mysql_fetch_object($PSV);
			 $deppv=$psv->deppv ;
			 
			 $descuento=mysql_query("select count(id_renta) as totdesaut from rentas where (id_gerente='$idusu->id_empleado' or id_coordinador='$idusu->id_empleado') and autoriza_desc='AUTORIZADO'",$db_conexion);
			 while($numdesc=mysql_fetch_object($descuento)){
			 $autorizado=$numdesc->totdesaut;
			 
			 $gerente[$i]=$numdesc->id_gerente;
			 $coor[$i]=$numdesc->id_coordinador;
			 
			 $descemp=mysql_query("select * from empleados where id_empleado='$gerente[$i]'",$db_conexion);
			 $clemp=mysql_fetch_object($descemp);
			 
			 $descempcor=mysql_query("select * from empleados where id_empleado='$coor[$i]'",$db_conexion);
			 $clempcor=mysql_fetch_object($descempcor);
			 }
			 /*$autoriza=mysql_query("select count(id_renta) as totdesaut from rentas where autoriza_desc='AUTORIZADO'",$db_conexion);
			 $aut=mysql_fetch_object($autoriza);
			 $autorizado=$aut->totdesaut;*/
			 //Para validar pagos en efectivo
	        $sqlPE="SELECT count(p.id_pago) AS cuantos FROM pagos as p  
				INNER JOIN complejo as c ON p.propiedad=c.id_complejo 
				INNER JOIN  departamentos as d ON p.clave=d.id_departamento 
				INNER JOIN empleados as e ON p.id_emp=e.id_empleado WHERE p.concepto IN ('RENTA','SEGUIMIENTO','IMPUESTOS','EXTRAS') and p.formapago IN('EP','ED') and valadmon='s' and valarq<>'s' and fecha>='2014-10-01'";
			 $ejecutaPE=mysql_query($sqlPE);	
			 $PE=mysql_fetch_object($ejecutaPE);
			 $pagosenE=$PE->cuantos;
			 //garantias en efectivo
	        $sqlGE="SELECT count(p.id_pago) AS cuantos FROM pagos as p  
				INNER JOIN complejo as c ON p.propiedad=c.id_complejo 
				INNER JOIN  departamentos as d ON p.clave=d.id_departamento 
				INNER JOIN empleados as e ON p.id_emp=e.id_empleado WHERE p.concepto='DEPOSITO' and p.formapago IN('EP','ED') and valadmon='s' and valarq<>'s' and fecha>='2014-10-01'";
			 $ejecutaGE=mysql_query($sqlGE);	
			 $GE=mysql_fetch_object($ejecutaGE);
			 $pagosenGE=$GE->cuantos;
			 ?>

<ul class="ttw-notification-menu" style="margin-top:15px;">
    <li class="notification-menu-item first-item"><a><?echo "BIENVENIDO(A) $usuario ";?></a></li>
    <li id="projects" class="notification-menu-item">
	 <span style="background-color: #86B404;" class="notification-bubble"><?echo $r['total'];?></span>	
		<a  href="javascript:cargacont(1);">Pendientes</a> 	
	</li>
	<? if($re['puesto']==1 || $re['puesto']==2){?>
    <li id="tasks" class="notification-menu-item">
	    <span style="background-color: #FACC2E;" class="notification-bubble"><? echo $numdescdir->totdesc;?></span>
		    <a href="javascript:cargacont(2);">Peticion Descuentos</a>
	</li>
    <li id="tasks" class="notification-menu-item">
	    <span style="background-color: #FACC2E;" class="notification-bubble"><? echo $req->req;?></span>
		    <a href="javascript:cargacont(7);">Requisiciones x aprobar</a>
	</li>
	<? }
	if($re['puesto']==3 || $re['puesto']==4 || $re['puesto']==5 || $re['puesto']==14){?>
	 <li id="projects" class="notification-menu-item"><span style="background-color: #F56C7E;" class="notification-bubble"><?echo $autorizado;?></span><a href="descautorizado.php" target="_blank" onClick="window.open(this.href, this.target, 'width=1000,height=400'); return false;">Desc. Autorizados</a></li>
	 <? } 
	 if($re['puesto']!=13 && $re['puesto']!=20){
	 ?>
    <li id="messages" class="notification-menu-item"><a href="javascript:cargacont(3);">Clientes sin atender</a>
	</li>
	<?}?>
    <li id="clients" class="notification-menu-item first-item"><a href="#">Calendario</a>
	     <div class="pointer">
		     <div class="submenu">
		         <ul class="ul">
			         <li class="li"><a href="javascript:citas('');">Calendario general</a></li>
			         <li class="li"><a href="javascript:citas('?p=s');">Calendario personal</a></li>
			     </ul>
			 </div>
		 </div>
	</li>	
  <? 
  if($re['puesto']==6 || $re['puesto']==13 || $re['puesto']==20){?>
    <li id="projects" class="notification-menu-item first-item">
	 <span style="background-color: #86B404;" class="notification-bubble"><?echo $pagosenE;?></span>	
		<a  href="javascript:cargacont(9);">Pagos en E</a> 	
	</li>    
    <li id="projects" class="notification-menu-item first-item">
	 <span style="background-color: #86B404;" class="notification-bubble"><?echo $pagosenGE;?></span>	
		<a  href="javascript:cargacont(10);">Garantias en E</a> 	
	</li> 
  <?}  

if($re['puesto']==10){?>    
    <li id="projects" class="notification-menu-item first-item">
	 <span style="background-color: #86B404;" class="notification-bubble"><?echo $pagosenGE;?></span>	
		<a  href="javascript:cargacont(10);">Garantias en E</a> 	
	</li> 
  <?}


  if($_SESSION['usuario_nivel']>4){?>
    <li id="tasks" class="notification-menu-item">
	    <span style="background-color: #FACC2E;" class="notification-bubble"><? echo $totpsv;?></span>
		    <a href="javascript:cargacont(4);">Pagos sin validar</a>
	</li>
	<li id="tasks" class="notification-menu-item">
	    <span style="background-color: #FACC2E;" class="notification-bubble"><? echo $docsin;?></span>
		    <a href="javascript:cargacont(5);">Docs. por validar</a>
	</li>
	<li id="tasks" class="notification-menu-item">
	    <span style="background-color: #FACC2E;" class="notification-bubble"><? echo $deppv ;?></span>
		    <a href="javascript:cargacont(6);">Depositos x reem</a>
	</li>
	<? }if($re['puesto']==13 || $re['puesto']==20){?>
	<li id="tasks" class="notification-menu-item">
	    <span style="background-color: #FACC2E;" class="notification-bubble"><? echo $reqA->reqA;?></span>
		    <a href="javascript:cargacont(8);">Requisiciones Aprobadas x Pagar</a>
	</li>
	<?}?>
</ul>
<div class="cont">
</div>
<!--<table>
    <tr><td>Departamentos disponibles</td></tr>
    <tr>
	    
	</tr>	
</table>-->
<script>
     citas('');
</script>
</body>
</html>			 